Bug 1119056 - Review Request: python-idna - Internationalized Domain Names in Applications (IDNA)
Review Request: python-idna - Internationalized Domain Names in Applications ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1119063
  Show dependency treegraph
 
Reported: 2014-07-13 12:07 EDT by Tom Prince
Modified: 2015-01-18 20:34 EST (History)
3 users (show)

See Also:
Fixed In Version: python-idna-1.0-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-18 20:34:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
msuchy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom Prince 2014-07-13 12:07:17 EDT
Spec URL: http://data.hybridcluster.net/fedora-scratch/python-idna.spec
SRPM URL: http://data.hybridcluster.net/fedora-scratch/python-idna-0.8-1.fc20.src.rpm
Koji URL: http://koji.fedoraproject.org/koji/taskinfo?taskID=7134580
Fedora Account System Username: tomprince
Description: A library to support the Internationalised Domain Names in 
Applications (IDNA)
protocol as specified in RFC 5891 <http://tools.ietf.org/html/rfc5891>.
Comment 1 Tom Prince 2014-07-13 13:31:12 EDT
Things that need fixing:
- Be more specfic about .egg-info directories.
- Use python2-devel instead of python-devel.
Comment 2 Tom Prince 2014-07-13 13:39:48 EDT
https://github.com/kjd/idna/issues/5
Comment 3 Miroslav Suchý 2014-10-13 10:22:20 EDT
Just quick review for start:

License need to be:
License:        BSD and Python and <something>

where something is Unicode, but I could not find it in list of approved licenses:
  https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing
and UCD is not similar to actual license on Unicode site.

What code in this module actually use that Unicode license?
Comment 4 Miroslav Suchý 2014-10-17 06:08:42 EDT
Cleared by:
https://lists.fedoraproject.org/pipermail/legal/2014-October/002504.html

I.e. it should be:
License:        BSD and Python and Unicode

Otherwise it looks good to me.
Comment 5 Miroslav Suchý 2014-11-24 18:35:29 EST
Ping. Any progress here?
Comment 7 Miroslav Suchý 2014-12-27 08:09:01 EST
It is good habit to provide both update spec file and src.rpm.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 12 files have unknown license. Detailed output of
     licensecheck in /tmp/python-idna/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-idna
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

APPROVED

I just sponsored you to Fedora Packager GIT Commit Group. Welcome to Fedora!
I will be watching your first steps, and if you are not sure about some process do not hesitate to ask. Either me directly or on 
  https://lists.fedoraproject.org/mailman/listinfo/devel
mailing list.

Beside finishing the package review you should study those two chapters:
https://fedoraproject.org/wiki/Category:Package_Maintainers?rd=PackageMaintainers#Resources_for_Fedora_Package_Collection_contributors
Comment 8 Tom Prince 2014-12-27 13:26:50 EST
New Package SCM Request
=======================
Package Name: python-idna
Short Description: Internationalised Domain Names in Applications (IDNA)
Upstream URL: https://github.com/kjd/idna
Owners: tomprince
Branches: f21 f22 epel7
InitialCC:
Comment 9 Kevin Fenzi 2014-12-29 11:49:34 EST
Git done (by process-git-requests).

Note: there's not any f22 branches yet, that will not happen util we branch f22 next year.
Comment 10 Fedora Update System 2015-01-01 00:51:09 EST
python-idna-1.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-idna-1.0-1.fc21
Comment 11 Fedora Update System 2015-01-02 00:04:38 EST
python-idna-1.0-1.fc21 has been pushed to the Fedora 21 testing repository.
Comment 12 Fedora Update System 2015-01-18 20:34:26 EST
python-idna-1.0-1.fc21 has been pushed to the Fedora 21 stable repository.

Note You need to log in before you can comment on or make changes to this bug.